
class com.parker.menu.dropdown.MenuItem extends MovieClip {
	
	public var initObject:Object
	
	private var btarea:Button
	private var t_item:TextField
	private var t_spacer:TextField
	
	private var child_menu:MovieClip
	
	public function MenuItem(){
	}
	
	public function init(){
		//trace("ITEM INIT:"+initObject.name._value.toUpperCase())
		t_item.text = initObject.name._value.toUpperCase()
		t_item.autoSize = true
		t_spacer._x = Math.ceil(t_item._width+4)
		btarea._width = t_item._width
		
		onItemInitialised(this)		
	}
	
	public function getMenu():MovieClip {
		return this._parent
	}
	
	public function getParent():Object{
		//trace("ITEM getParent:"+this._parent.getParent().menu)
		return (this._parent.getParent())
	}
	
	public function setChild(menu:MovieClip):Void {
		//trace("ITEM setChild: "+menu)
		child_menu = menu
	}
	
	public function getChild():MovieClip {
		//trace("ITEM getChild: "+child_menu) 
		return child_menu
	}
	
	/**
	* @event 	onItemInitialised
	* @tooltip 	Event executed after the init method
	* @param	tclip (MovieClip) Reference to this Item
	*/
	public function onItemInitialised(tclip:MovieClip):Void{}
}