/*
Copyright 2005 Midnight Coders, LLC

Licensed under the Midnight Coders license (the "License");
You may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.themidnightcoders.com/licensing/asdklicense.htm

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

import asdk.*;
import asdk.condition.*;

interface asdk.Collection
{
	function addItem( item ) : Boolean;
	// object can be array, collection or just an AS object
	function addAll( object ) : Boolean; 
	function clear() : Void;
	function setComparator( condition : IComparator );
	function containsItem( item ) : Boolean;
	function containsAllItems( items : Collection ) : Boolean;
	function isEmpty() : Boolean;
	function iterator() : Iterator;
	function removeItem( item ) : Boolean;
	function removeAllItems( items : Collection ) : Boolean;
	function retainAllItems( items : Collection ) : Boolean;
	function getSize() : Number;
	function toArray() : Array;
	function toString() : String;
	function New() : Collection;
}