﻿/**
* @interface	IListenable
* Describes the methods that any class should have to be "Listenable" (be able to Listen to events)
* @author		Federico Campo Piombi [federicocp@hotmail.com]
* @version		1.0
* @date 		28 Oct 2006
*/

/**
* @ignore
* MODIFICATION HISTORY
*/

interface com.fwa.events.IListenable {
	
	public function addListener(obj:Object):Boolean;
	
	public function removeListener(obj:Object):Boolean;
}