/*
Copyright 2005 Midnight Coders, LLC

Licensed under the Midnight Coders license (the "License");
You may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.themidnightcoders.com/licensing/asdklicense.htm

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

import asdk.*;

class asdk.ValueCollection extends AbstractCollection
{
	private var parent;
	private var VALUES : Number = 1;
	
	function ValueCollection( parent )
	{
		this.parent = parent;
	}
	
	function getIterator( VALUES ) : Iterator
	{
		return parent.getIterator();
	}
	
	function getSize() : Number
	{
		return parent.count;
	}

	function contains( o ) : Boolean
	{
		return parent.containsValue( o );
	}

	function  remove( o ) : Boolean
	{
		return parent.remove( o ) != null;
	}

	function clear() : Void
	{
		parent.clear();
	}
	
}
