/*
Copyright 2005 Midnight Coders, LLC

Licensed under the Midnight Coders license (the "License");
You may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.themidnightcoders.com/licensing/asdklicense.htm

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

import asdk.xml.*;

class asdk.xml.Child extends Node
{
	public var parent;
	
  	public function replaceWith( child:Child ) : Void
    {
	    this.parent.replaceChild( this, child );
    }
	
  	public function setParent( parent ) : Void
    {
	    this.parent = parent;
		setOwnerDocument( this.parent.getOwnerDocument() );
    }
	
	public function getParent() : Parent
    {
	    return this.parent;
    }	
	
	public function getRoot()
	{
		return this.parent == null ? null : this.parent.getRoot();
	}
}