import com.fwa.ui.IPreloader

/**
* This class manages the View of the main FWA Preloader (application & System)
* 
* @version 	1.0
* @date 	03 Nov 2006
*/
class com.fwamarco.loaders.ApplicationPreloader extends MovieClip implements IPreloader {
	
	//properties
	private var barra:MovieClip
	
	
	/**
	* Constructor
	*/
	public function ApplicationPreloader(){
		hide()
	}
	
	
	/**
	* Receives the current load's progress and updates the bar percent
	* @param	pct (Number) current load progress percent
	* @return	Void
	*/
	public function setProgress(pct:Number):Void {
		barra._xscale = pct
	}
	
	/**
	* Hides the preloader
	* @return 	Void
	*/
	public function hide():Void {
		this._visible = false
	}
	
	/**
	* Displays the preloader
	* @return 	Void
	*/
	public function show():Void {
		this._visible = true
	}
}