﻿import com.wunderman.events.IListenerBroadcaster

class com.wunderman.events.ListenerBroadcaster implements IListenerBroadcaster {
	private var _listeners:Array
	
	public function ListenerBroadcaster(){
		this._listeners = new Array()
	}
	
	public function addListener(obj:Object):Boolean {
		this.removeListener(obj);
		this._listeners.push(obj);
		return true;
	}

	public function removeListener(obj:Object):Boolean {
		for(var i=0; i<this._listeners.length; i++){
			if(this._listeners[i] == obj){
				this._listeners.splice(i,1);
				return true;
			}
		}
		return false;
	}
	
	public function broadcastMessage(evento:String, parametros:Array):Void {
		for(var i=0; i<this._listeners.length; i++){
			this._listeners[i][evento].apply(null,parametros)
		}
	}	
}