/*
Copyright 2005 Midnight Coders, LLC

Licensed under the Midnight Coders license (the "License");
You may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.themidnightcoders.com/licensing/asdklicense.htm

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

import asdk.*;
import asdk.condition.*;

interface asdk.Map
{
  function getSize() : Number;
  function isEmpty() : Boolean;
  function setComparator( condition : BinaryCondition );
  function containsKey( key ) : Boolean;
  function containsValue( value ) : Boolean;
  function get( key );
  function put( key, value );
  function remove( key );
  function putAll( t: Map ) : Void;
  function clear() : Void;
  function getKeys() : Set;
  function getValues() : Collection;
  function getKeysIterator() : Iterator;
  function getValuesIterator() : Iterator;
  function iterator( type : Number ) : Iterator;
}