/*
Copyright 2005 Midnight Coders, LLC

Licensed under the Midnight Coders license (the "License");
You may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.themidnightcoders.com/licensing/asdklicense.htm

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

import asdk.xml.*;

class asdk.xml.Node
{
    public var document;
    
	// the list I belong to
	public var list:NodeList;
	
	// previous and next siblings
	public var prevNode:Node;
	public var nextNode:Node;
	
	public function remove() : Boolean
	{
		if( list != null )
 		{
		  list.remove( this );
		  return true;
		}
		else
		{
		  return false;
		}		
	}
    
    public function getNode() : Node
    {
        return this;
    }	
    
    public function setOwnerDocument( document ) : Void
    {
        this.document = document;
    }    
	
    public function getOwnerDocument()
    {
        return this.document;
    }    
}