﻿/************************************************
DATE EXTENSION CLASS
by FD

Created : April 05
Last rev: May 06
*************************************************/

class com.wunderman.date.DateExtension extends Date {
	
	public function DateExtension(){}
	
	public function getStartDay(tYear:Number, tMonth:Number):Number {
		//returns a given year/month's start day (zero based)
		return super(tYear,(tMonth),0).getDay()
	}
	
	public function getMonthDays(tYear,tMonth):Number {
		//returns a given year/month's days count (REQUIRES A ZERO BASED MONTH NUM)
		return super(tYear,tMonth+1,0).getDate()
	}
	
	public function getDayName(tDay):String { 
		//returns a given day's Name (where day 0 equals Monday)
		return ["Lunes","Martes","Miercoles","Jueves","Viernes","Sabado","Domingo"][tDay] 
	} 
	
	public function getMonthName(tMonth):String { 
		//returns a given month's Name (where month 0 equals January)
		return  ["Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre"][tMonth] 
	} 
}
