﻿import com.wunderman.crypt.md5
import com.wunderman.utils.XMLConstruct
import mx.services.*

class com.wunderman.tracker.Tracker{
	
	var md5:Object
	var trackSO:SharedObject
	var trackService:WebService
	
	var track_queue:Array
	var id_site:Number
	var id_session:Number
	var ip:String
	
	var soNAME:String= "www.sprite.com.ar"
	var soURL:String = "trackso.asp"
	var wsURL:String = "http://metrics.wundermanlab.com.ar/wse.asmx?WSDL"
	//var wsURL:String = "http://200.49.148.88/metrics/wse.asmx?WSDL"
	//var wsURL:String = "http://wundermanlab.wavenet.com.ar/metrics/wse.asmx?WSDL"
	
	var idle:Boolean //if there's a processQueue process running (sending data) set to FALSE
	
	public function Tracker(site_id:Number){
		this.debug("NEW TRACKER CREATED")
		System.security.loadPolicyFile("http://metrics.wundermanlab.com.ar/policyfile.xml")
		var tRef = this
		
		//init objects
		this.md5 = new com.Wunderman.Crypt.md5()
		this.trackSO = SharedObject.getLocal(this.soNAME);
		this.trackService = new WebService(this.wsURL)
		this.trackService.onLoad = function(){
			tRef.debug("WEB SERVICE CONNECTED OK!")
			tRef.createSharedObject()
		}
		this.trackService.onFault = function(fault){
			tRef.debug("WEB SERVICE CONNECTION ERROR!")
			tRef.debug(fault.faultstring)
		}
		
		//store vars
		this.id_site = site_id
		this.idle = false
		this.track_queue = new Array()
		
		//create SO (if not exists)
		//this.createSharedObject()
		
	}
	
	public function track(section_id:Number, action_id:Number, comment:String){
		this.debug("")
		this.debug("TRACKING NEW SECTION:"+section_id+"/"+action_id+":"+comment)
		
		var trackObj:Object = new Object()
		trackObj.id_user = Number( (_global.isLogged()==true)? _global.objUsuario.login.idUser : "0")
		trackObj.id_section = Number(section_id)
		trackObj.id_action = String(action_id)
		trackObj.id_site = String(this.id_site)

		/*
		ESTO NO LO GUARDO EN EL OBJETO A TRACKEAR, PORQUE SI NO SE CARGO EL XML 
		ME VA A GUARDAR "undefined".
		ESTOS DATOS EXISTEN EN VARS, Y CUANDO PROCESO LA COLA LOS ENVIO TOMANDOLOS DE ESAS VARS
		//trackObj.ip = String(this.ip)
		//trackObj.so_data = String(this.trackSO.data.local_data)
		//trackObj.id_session = String(this.id_session)
		
		*/

		this.track_queue.push(trackObj)
		this.processQueue()
	}
	
	
	private function processQueue(){
		this.debug("PROCESSING QUEUE")
		
		if(this.track_queue.length>0 && this.idle == true){
			this.idle = false
			var tRef = this
			var tObj:Object = this.track_queue[0]
			var pendingCall = this.trackService.insert(tObj.id_user, this.ip, this.trackSO.data.local_data, tObj.id_section, tObj.id_action, tObj.id_site, this.id_session)
			this.debug(">SERVICE CALLED")
			this.debug("SO DATA:"+this.trackSO.data.local_data)

			pendingCall.onResult = function(result) {
				tRef.debug(">>TRACK SENT OK")
				tRef.removeLastSentTrack()
				tRef.idle = true
				tRef.processQueue()
			}

			pendingCall.onFault = function(fault) {
				tRef.debug(">>TRACK ERROR: "+fault.faultstring)
				tRef.removeLastSentTrack()
				tRef.idle = true
				tRef.processQueue()
			}

		}else{
			if(this.track_queue.length==0){
				this.debug(">PROCESS ERROR: No items in queue.")
			}else{
				this.debug(">PROCESS ERROR: Busy queue")
			}
		}
	}
	
	private function removeLastSentTrack(){
		this.debug(".....")
		this.debug("removing last sent track:")
		this.debug("> id:"+this.track_queue.shift().id_action)
		this.debug(".....")
	}
	
	
	private function createSessionID(){
		var crypt_str:String = ""
		crypt_str+= this.trackSO.data.local_data
		crypt_str+= "_"+String(new Date().getDate()+"/"+new Date().getMonth()+"/"+new Date().getFullYear())
		crypt_str+= "_"+String(new Date().getTime())
		crypt_str+= "_"+String(Math.random()*99999)
		
		this.id_session = this.md5.calculate(crypt_str)
		this.debug("........")
		this.debug("Created session id:"+this.id_session)
		this.debug("........")
	}
	
	private function createSharedObject(){
		this.debug("")
		this.debug("CHECKING SharedObject..")
		
		this.idle = false
		var tRef = this
		var trackXML:Object = new XMLConstruct()
		trackXML.onLoad = function(){
			if(!tRef.trackSO.data.local_data || tRef.trackSO.data.local_data==undefined || tRef.trackSO.data.int_version!== this.VERSION._value){
				this.debug(">SO UNAVAILABLE, older or corrupt: Creating!")
			
				tRef.trackSO.data.local_data = this.SO._value
				tRef.trackSO.data.int_version= this.VERSION._value
				tRef.trackSO.flush()
			}else{
				this.debug(">SO AVAILABLE")
			}
			this.debug("SO: localdata:"+tRef.trackSO.data.local_data+" /version:"+tRef.trackSO.data.int_version)
			tRef.ip = this.IP._value
			tRef.idle = true
			tRef.createSessionID()
			tRef.processQueue()
			
		}
		trackXML.load(this.soURL)
	}
	
	private function debug(str:String):Void {
		_global.track_tb.trace(str)
		trace(str)
	}
	
	public function getSOData():Object {
		return ( {local_data:this.trackSO.data.local_data, version:this.trackSO.data.int_version} )
	}
}