/*
Copyright 2005 Midnight Coders, LLC

Licensed under the Midnight Coders license (the "License");
You may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.themidnightcoders.com/licensing/asdklicense.htm

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

class asdk.packager extends MovieClip
{
	// XML Parser
	private var attr:asdk.xml.Attribute;
	private var attr1:asdk.xml.Child;
	private var attr2:asdk.xml.Document;
	private var attr3:asdk.xml.Element;
	private var attr4:asdk.xml.Elements;
	private var attr5:asdk.xml.ElementsFilter;
	private var attr6:asdk.xml.FlexmlConstants;
	private var attr7:asdk.xml.Node;
	private var attr8:asdk.xml.NodeList;
	private var attr9:asdk.xml.Parent;
	private var attr10:asdk.xml.Selection;
	private var attr11:asdk.xml.Text;
	
	// Collections
	private var attr20:asdk.AbstractCollection;
	private var attr21:asdk.AbstractMap;
	private var attr22:asdk.Collection;
	private var attr23:asdk.HashMap;
	private var attr24:asdk.HashSet;
	private var attr25:asdk.Inspector;
	private var attr26:asdk.Iterator;
	private var attr27:asdk.IteratorFactory;
	private var attr28:asdk.KeySet;
	private var attr29:asdk.LinkedList;
	private var attr30:asdk.LinkedListItem;
	private var attr31:asdk.Map;
	private var attr32:asdk.NullPointerException;
	private var attr33:asdk.ObjectComparator;
	private var attr34:asdk.Queue;
	private var attr35:asdk.Set;
	private var attr36:asdk.Stack;
	private var attr37:asdk.StringUtils;
	private var attr38:asdk.ValueCollection;
	private var attr39:asdk.Vector;
	
	// Iterators
	private var attr50:asdk.iterator.ArrayIterator;
	private var attr51:asdk.iterator.HashMapIterator;
	private var attr52:asdk.iterator.LinkedListIterator;
	private var attr53:asdk.iterator.ObjectPropertiesIterator;
	private var attr55:asdk.iterator.ReversedLinkedListIterator;
	private var attr56:asdk.iterator.VectorIterator;
	
	// Algorithms
	private var attr70:asdk.algorithm.Applying;
	private var attr71:asdk.algorithm.Copying;
	private var attr72:asdk.algorithm.Counting;
	private var attr73:asdk.algorithm.Filling;
	private var attr74:asdk.algorithm.Filtering;
	private var attr75:asdk.algorithm.Finding;
	private var attr76:asdk.algorithm.MinMax;
	private var attr77:asdk.algorithm.Sorting;
	
	// Functions
	private var attr90:asdk.functions.Addition;
	private var attr91:asdk.functions.BinaryCompose;
	private var attr92:asdk.functions.BinaryConditionFunction;
	private var attr93:asdk.functions.BinaryFunction;
	private var attr94:asdk.functions.Concatenation;
	private var attr95:asdk.functions.ConstantFunction;
	private var attr96:asdk.functions.Division;
	private var attr97:asdk.functions.Modulus;
	private var attr98:asdk.functions.Multiplication;
	private var attr99:asdk.functions.PlusFunction;
	private var attr100:asdk.functions.Subtraction;
	private var attr101:asdk.functions.SwappedBinaryFunction;
	private var attr102:asdk.functions.UnaryFunction;
	
	// Conditions
	private var attr120:asdk.condition.BinaryAnd;
	private var attr121:asdk.condition.BinaryCompositeCondition;
	private var attr122:asdk.condition.BinaryCondition;
	private var attr123:asdk.condition.BinaryNot;
	private var attr124:asdk.condition.BinaryOr;
	private var attr125:asdk.condition.BinaryTern;
	private var attr126:asdk.condition.BindFirstCondition;
	private var attr127:asdk.condition.BindSecondCondition;
	private var attr128:asdk.condition.Constant;
	private var attr129:asdk.condition.EqualNumber;
	private var attr130:asdk.condition.EqualsObject;
	private var attr131:asdk.condition.GreaterNumber;
	private var attr132:asdk.condition.InstanceOf;
	private var attr133:asdk.condition.LogicalNot;
	private var attr134:asdk.condition.NegativeNumber;
	private var attr135:asdk.condition.ObjectsEqual;
	private var attr136:asdk.condition.PositiveNumber;
	private var attr137:asdk.condition.UnaryAnd;
	private var attr138:asdk.condition.UnaryCompositeCondition;
	private var attr139:asdk.condition.UnaryCondition;
	private var attr140:asdk.condition.UnaryNot;
	private var attr141:asdk.condition.UnaryOr;
	private var attr142:asdk.condition.UnaryTern;
	
	
}