/*
Copyright 2005 Midnight Coders, LLC

Licensed under the Midnight Coders license (the "License");
You may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.themidnightcoders.com/licensing/asdklicense.htm

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

import asdk.*;

class asdk.LinkedListItem
{
	var data;
	public var next : LinkedListItem;
	public var prev  : LinkedListItem;
	
	public function LinkedListItem( object )
	{
		if( object != undefined )
    	setData( object );
	}
	
	public function setData( object )
	{
		this.data = object;
	}
	
	public function getData()
	{
		return this.data;
	}
	
	public function getPrev() : LinkedListItem
	{
		return this.prev;
	}
	
	public function getNext() : LinkedListItem
	{
		return this.next;
	}
	
	public function equals( obj, comparator:IComparator )
	{
		if( !(obj instanceof LinkedListItem) )
			return false;
		
		if( comparator != undefined )
			return comparator.equal( data, obj.data )
		else
			return data == obj.data;
	}
}