/*
Copyright 2005 Midnight Coders, LLC

Licensed under the Midnight Coders license (the "License");
You may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.themidnightcoders.com/licensing/asdklicense.htm

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

import asdk.*;

class asdk.iterator.VectorIterator implements Iterator
{
	private var vectorObj;
	private var index : Number;
	private var lastObject;
	
	function VectorIterator( vectorObj )
	{
		this.vectorObj = vectorObj;
		this.index = 0;
	}
	
	function hasNext() : Boolean
	{
		return index < vectorObj.getSize();
	}
	
	function getNext()
	{
	    	this.lastObject = vectorObj.getItemAt( index );
		index++;
		return lastObject;
	}
	
	function remove() : Void
	{
		vectorObj.removeItemAt( index - 1 );
		index--;
	}
}